# Make increasingly sparse signal
#	Alias n1=200  pair={0,1} > out.H
#		pair=0 makes usual seplib output file
#		pair>0 makes (coord,ord) pairs
#%
integer n1, esize
from par:	integer n1=200, esize=4
allocate:	real data(n1), ord(n1), coord(n1), pair(2,n1)

subroutine doit(n1,data, ord, coord, pair)
integer i1,n1, itau, id, i2,n2, pairs
real data(n1), coord(n1), ord(n1),   pair(2,n1), d1,o1, t, tau, tmax
#from par:	real d1=.15, o1=0
from par:	real tmax=30.
from par:	integer pairs=0
d1 = tmax/n1

o1 = 0.
#d1 = tmax/(2*n1)

to history:	real d1, o1
call null( data, n1)
id = 0
do i1=1,n1 {  t = o1 + d1 * (i1-1)
	tau = exp( 20. * t/tmax ) - 1. + .15*n1*d1
	itau = 1.5 + (tau - o1) / d1
	tau = o1 + d1 * (itau-1)
	if( itau < n1*.85 ) {
		id = id + 1
		data( itau) = sin( tau)
		  ord(id) = data(itau)
		coord(id) = tau
		}
	}
if( pairs == 0 ) {
	call hclose()
	call srite('out', data, 4*n1)
	}
else {
	n2 = id
	to history: integer n1:2, n2
	do i2=1, n2 {
		pair(1,i2) = coord(i2)
		pair(2,i2) =   ord(i2)
		}
	call hclose()
	call srite('out', pair, 4*2*n2)
	}
return;  end

