#
#  <vesuvio.H Squeeze.x  box=2 > squeeze.H
# Smooth and decimate.
#
#%
integer n1, n2, n3, m1, m2, esize
from history:	integer n1,n2,n3=1, esize
from par:	integer box=2
if( esize != 8) 	call erexit('esize')
m1 = n1/box
m2 = n2/box
allocate: complex	data( n1,n2)
allocate: complex  	sque( m1,m2)

subroutine fatty( box, data, n1, n2, sque, m1,m2)
integer i1,i2,    box,       n1, n2,       m1,m2,  j1,j2
complex                data( n1, n2),sque( m1,m2)

call sreed( 'in', data, 8 * n1*n2 )

do j1= 1,m1 {
do j2= 1,m2 {
	        sque(j1,j2) = 0.
	do i1= 1, box
	do i2= 1, box
		sque(j1,j2)= sque(j1,j2) + data( i1+box*(j1-1), i2+box*(j2-1))
	}}

call hclose()

call srite( 'out', sque, 8 * m1*m2)
return; end
