#
#  <vesuvio.H Vesuvio.x part=0 > amp.H
#  <vesuvio.H Vesuvio.x part=1 > phz.H
#
#%
integer n1, n2, n3
from history:	integer n1,n2,n3=1
allocate: complex data(n1,n2)
allocate: real    comp(n1,n2)

subroutine fatty( data, n1, n2, comp)
integer i1,i2,          n1, n2,     esize
complex           data( n1, n2)
real              comp( n1, n2), part
from par: 	real part=0

call sreed( 'in', data, 8 * n1*n2)

do i1= 1,n1 {
do i2= 1,n2 {
	if( part == 0.) {
		comp(i1,i2) = sqrt( sqrt( cabs( data(i1,i2) )  ) )
		}
	else {
		comp(i1,i2) = atan2( real(data(i1,i2)), aimag(data(i1,i2)) )
		}
	}}

call putch('esize','i',4)

call hclose()

call srite( 'out', comp, 4 * n1*n2)
return; end
